%global         snapdate   20130323
%global         snapver    %{snapdate}cvs


Name:           libexif-gtk
Version:        0.4.1
Release:        0.1.%{snapver}%{?dist}
Summary:        Library to display EXIF tags in GTK programs
Summary(fr):    Bibliothèque pour l'affichage des données EXIF dans les programmes en GTK

License:        LGPLv2+
URL:            http://libexif.sourceforge.net/


# Build tarball from the CVS repo:
#   cvs -z3 -d:pserver:anonymous@libexif.cvs.sourceforge.net:/cvsroot/libexif co -P libexif-gtk
#   tar -Jcf libexif-gtk-0.4.1-20130323cvs.tar.xz libexif-gtk/
Source0:        %{name}-%{version}-%{snapver}.tar.xz


BuildRequires:  libexif-devel
BuildRequires:  gtk2-devel
BuildRequires:  autoconf
BuildRequires:  gettext-devel
BuildRequires:  libtool
BuildRequires:  gtk3-devel


%description
Libexif-gtk is a library of widgets to help display EXIF tags in GTK
programs.

%description -l fr
Libexif-gtk est une bibliothèque d'accessoires pour aider à l'affichage
des données EXIF dans les programmes en GTK.



%package devel
Summary:       Files needed for building applications with libexif-gtk
Summary(fr):   Fichiers nécessaires pour construire des applications avec libexif-gtk

Requires:      %{name}%{?_isa} = %{version}-%{release}
Requires:      libexif-devel%{?_isa}
Requires:      gtk2-devel%{?_isa}


%description devel
The libexif-gtk-devel package includes header files and libraries
necessary for developing programs which use the libexif-gtk library.

%description devel -l fr
Le paquet libexif-gtk-devel inclue les fichiers d'en-tête et bibliothèques
nécessaires au développement des programmes utilisant la bibliothèque
libexif-gtk.



%package gtk3-libs
Summary:        Library to display EXIF tags in GTK3 programs
Summary(fr):    Bibliothèque pour l'affichage des données EXIF dans les programmes en GTK3

Provides:       libexif-gtk3 = %{version}-%{release}


%description gtk3-libs
Libexif-gtk is a library of widgets to help display EXIF tags in GTK3
programs.

%description gtk3-libs -l fr
Libexif-gtk est une bibliothèque d'accessoires pour aider à l'affichage
des données EXIF dans les programmes en GTK3.



%package gtk3-devel
Summary:       Files needed for building applications with libexif-gtk
Summary(fr):   Fichiers nécessaires pour construire des applications avec libexif-gtk

Requires:      %{name}-gtk3-libs%{?_isa} = %{version}-%{release}
Requires:      libexif-devel%{?_isa}
Requires:      gtk3-devel%{?_isa}

Provides:      libexif-gtk3-devel = %{version}-%{release}


%description gtk3-devel
The libexif-gtk-gtk3-devel package includes header files and libraries
necessary for developing programs which use the libexif-gtk library.

%description gtk3-devel -l fr
Le paquet libexif-gtk-gtk3-devel inclue les fichiers d'en-tête et bibliothèques
nécessaires au développement des programmes utilisant la bibliothèque
libexif-gtk.



%prep
%setup -qc

# Duplicate source for GTK3 build
cp -pr %{name} %{name}-gtk3

cd %{name}
./autogen.sh

cd ../%{name}-gtk3
./autogen.sh


%build
# Build with GTK2:
cd %{name}
%configure --disable-static
# Fix rpmlint warning: unused-direct-shlib-dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}

# Build with GTK3:
cd ../%{name}-gtk3
%configure --disable-static  \
           --with-gtk3
# Fix rpmlint warning: unused-direct-shlib-dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}


%install
# Install GTK2 build:
cd %{name}
make install DESTDIR=%{buildroot}
%find_lang %{name}-5

# Install GTK3 build:
cd ../%{name}-gtk3
make install DESTDIR=%{buildroot}
%find_lang %{name}-5

rm -f %{buildroot}%{_libdir}/%{name}*.la



%check
cd %{name}
make check

cd ../%{name}-gtk3
make check


%post -p /sbin/ldconfig
%post gtk3-libs -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%postun gtk3-libs -p /sbin/ldconfig


%files -f %{name}/%{name}-5.lang
%doc %{name}/{COPYING,NEWS,README,ChangeLog}
%{_libdir}/%{name}.so.*


%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/


%files gtk3-libs -f %{name}-gtk3/%{name}-5.lang
%doc %{name}-gtk3/{COPYING,NEWS,README,ChangeLog}
%{_libdir}/%{name}3.so.*


%files gtk3-devel
%{_libdir}/%{name}3.so
%{_libdir}/pkgconfig/%{name}3.pc
%{_includedir}/%{name}/



%changelog
* Sat Mar 23 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 0.4.1-0.1.20130323cvs
- Fix rpmlint warning 'unused-direct-shlib-dependency'
- New upstream snapshot

* Wed Feb 13 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 0.3.6-0.3.20130210cvs
- Fix release tag
- Add BuildRequires for GTK3
- Fix typo in Summary(fr) tag
- Remove pkgconfig requirement in devel subpackage
- Fix typo in french %%description of devel subpackage
- Add gtk3-libs subpackage
- Add gtk3-devel subpackage
- Remove empty authors docfile in %%doc section

* Tue Feb 12 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 0.3.6-2.20130210cvs
- Fix license tag
- Add missing requires tags in devel subpackage
- Add test suite in %%check section

* Sun Feb 10 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 0.3.6-1.20130210cvs
- Initial release
